com.sun.java.xml.ns.persistence

## Class Persistence

- java.lang.Object
- - com.sun.java.xml.ns.persistence.Persistence

-     public class Persistence
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="persistence-unit" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                         <element name="provider" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                         <element name="jta-data-source" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                         <element name="non-jta-data-source" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                         <element name="mapping-file" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="jar-file" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="class" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="exclude-unlisted-classes" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
                         <element name="shared-cache-mode" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-caching-type" minOccurs="0"/>
                         <element name="validation-mode" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-validation-mode-type" minOccurs="0"/>
                         <element name="properties" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="property" maxOccurs="unbounded" minOccurs="0">
                                     <complexType>
                                       <complexContent>
                                         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                           <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                         </restriction>
                                       </complexContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="transaction-type" type="{http://java.sun.com/xml/ns/persistence}persistence-unit-transaction-type" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="version" use="required" type="{http://java.sun.com/xml/ns/persistence}versionType" fixed="2.0" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Persistence.PersistenceUnit` Configuration of a persistence unit.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Persistence.PersistenceUnit>` | `persistenceUnit`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Persistence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Persistence.PersistenceUnit>` | `getPersistenceUnit()` Gets the value of the persistenceUnit property.
    `String` | `getVersion()` Ruft den Wert der version-Eigenschaft ab.
    `void` | `setVersion(String value)` Legt den Wert der version-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistenceUnit

          protected List<Persistence.PersistenceUnit> persistenceUnit

    - #### version

          protected String version

  - ### Constructor Detail

    - #### Persistence

          public Persistence()

  - ### Method Detail

    - #### getPersistenceUnit

          public List<Persistence.PersistenceUnit> getPersistenceUnit()

      Gets the value of the persistenceUnit property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the persistenceUnit property.

      For example, to add a new item, do as follows:

              getPersistenceUnit().add(newItem);

      Objects of the following type(s) are allowed in the list `Persistence.PersistenceUnit`

    - #### getVersion

          public String getVersion()

      Ruft den Wert der version-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Legt den Wert der version-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.